package com.aip.gateway.api.service;

import com.aip.gateway.api.model.request.*;
import com.aip.gateway.api.model.response.ResponseInfo;
import com.aip.gateway.api.model.response.ResponseStream;

public interface IApiStreamService {

    ResponseInfo getInfo(RequestStream req);
    ResponseStream setLabel(RequestStreamSet req);
    ResponseStream delLabel(RequestStreamDel req);
    ResponseStream setProtection(RequestStreamSet req);
    ResponseStream delProtection(RequestStreamDel req);
    ResponseStream setLabelProtection(RequestStreamAllSet req);
    ResponseStream delLabelProtection(RequestStreamDel req);
}
